import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { BsSelectSize } from '../types/select-size';
import * as i0 from "@angular/core";
export declare class BsSelectComponent implements OnInit {
    private renderer;
    constructor(renderer: Renderer2);
    identifier: number;
    selectBox: ElementRef<HTMLSelectElement>;
    ngOnInit(): void;
    size$: BehaviorSubject<BsSelectSize>;
    get size(): BsSelectSize;
    set size(value: BsSelectSize);
    multiple$: BehaviorSubject<boolean>;
    get multiple(): boolean;
    set multiple(value: boolean);
    numberVisible$: BehaviorSubject<number | null>;
    get numberVisible(): number | null;
    set numberVisible(value: number | null);
    get disabled(): boolean;
    set disabled(value: boolean);
    sizeClass$: Observable<string | null>;
    multipleValue$: Observable<boolean | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsSelectComponent, "bs-select", never, { "identifier": "identifier"; "size": "size"; "multiple": "multiple"; "numberVisible": "numberVisible"; "disabled": "disabled"; }, {}, never, ["*"], false, never>;
}
